<?php
/**
 * TOP API: alibaba.alihealth.synergy.yzw.querydrugreport request
 *
 * @author auto create
 * @since 1.0, 2025.10.22
 */
class AlibabaAlihealthSynergyYzwQuerydrugreportRequest
{
	/**
	 * 批号
	 **/
	private $batchNo;

	/**
	 * 开始日期（最大查询区间一月）
	 **/
	private $beginTime;

	/**
	 * 单据编号
	 **/
	private $billCode;

	/**
	 * 药品ID
	 **/
	private $drugId;

	/**
	 * 结束日期（最大查询区间一月）
	 **/
	private $endTime;

	/**
	 * 发货企业
	 **/
	private $fromRefEntId;

	/**
	 * 分页对象
	 **/
	private $page;

	/**
	 * 企业（本企业id）
	 **/
	private $refEntId;

	private $apiParas = array();

	public function setBatchNo($batchNo)
	{
		$this->batchNo = $batchNo;
		$this->apiParas["batch_no"] = $batchNo;
	}

	public function getBatchNo()
	{
		return $this->batchNo;
	}

	public function setBeginTime($beginTime)
	{
		$this->beginTime = $beginTime;
		$this->apiParas["begin_time"] = $beginTime;
	}

	public function getBeginTime()
	{
		return $this->beginTime;
	}

	public function setBillCode($billCode)
	{
		$this->billCode = $billCode;
		$this->apiParas["bill_code"] = $billCode;
	}

	public function getBillCode()
	{
		return $this->billCode;
	}

	public function setDrugId($drugId)
	{
		$this->drugId = $drugId;
		$this->apiParas["drug_id"] = $drugId;
	}

	public function getDrugId()
	{
		return $this->drugId;
	}

	public function setEndTime($endTime)
	{
		$this->endTime = $endTime;
		$this->apiParas["end_time"] = $endTime;
	}

	public function getEndTime()
	{
		return $this->endTime;
	}

	public function setFromRefEntId($fromRefEntId)
	{
		$this->fromRefEntId = $fromRefEntId;
		$this->apiParas["from_ref_ent_id"] = $fromRefEntId;
	}

	public function getFromRefEntId()
	{
		return $this->fromRefEntId;
	}

	public function setPage($page)
	{
		$this->page = $page;
		$this->apiParas["page"] = $page;
	}

	public function getPage()
	{
		return $this->page;
	}

	public function setRefEntId($refEntId)
	{
		$this->refEntId = $refEntId;
		$this->apiParas["ref_ent_id"] = $refEntId;
	}

	public function getRefEntId()
	{
		return $this->refEntId;
	}

	public function getApiMethodName()
	{
		return "alibaba.alihealth.synergy.yzw.querydrugreport";
	}

	public function getApiParas()
	{
		return $this->apiParas;
	}

	public function check()
	{

		RequestCheckUtil::checkNotNull($this->beginTime,"beginTime");
		RequestCheckUtil::checkNotNull($this->endTime,"endTime");
		RequestCheckUtil::checkNotNull($this->refEntId,"refEntId");
	}

	public function putOtherTextParam($key, $value) {
		$this->apiParas[$key] = $value;
		$this->$key = $value;
	}
}
